# setEntryApplication abstract method

void setEntryApplication(

1. Class<Object> entryApplication

)

Sets the entry application class that this component can reference.

This method is called by the framework during bootstrap with the Class object representing the main application entry point.

### Parameters:

- `entryApplication`: The Class object representing the main application class

### Example:

    @override
    void setEntryApplication(Class<Object> entryApplication) {
      _entryApplication = entryApplication;
      logger.info('Application class: ${entryApplication.getQualifiedName()}');
    }

## Implementation

    void setEntryApplication(Class<Object> entryApplication);